LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-31-2003, 01:12 PM   #1
Kasperisa
LQ Newbie
 
Registered: Jul 2003
Posts: 26

Rep: Reputation: 15
Unhappy Enemy territory won't fully load.


I hope someone out there can help. My problem is that after i install Enemy Territory AFTER the install of my Nvidia drivers onto RH9.0, the game starts up, i set the initial account settings, click 'Create' and it crashes to the desktop. I grabbed this error message from the terminal. It is much bigger then this, I just think that this is the most important part. Does someone know what this means?

NV distance fog: disabled
Initializing Shaders
----- finished R_Init -----
Sys_LoadDll(/root/.etwolf/etmain/ui.mp.i386.so)...
Sys_LoadDll(/root/.etwolf/etmain/ui.mp.i386.so) failed:
"/root/.etwolf/etmain/ui.mp.i386.so: cannot open shared object file: No such file or directory"
Sys_LoadDll(/usr/games/enemy-territory/etmain/ui.mp.i386.so)... ok
Sys_LoadDll(ui) found **vmMain** at 0x51709bb4
Sys_LoadDll(ui) succeeded!
Resolving etmaster.idsoftware.com
etmaster.idsoftware.com resolved to 192.246.40.60:27951
execing preset_normal_ui.cfg
execing preset_high_ui.cfg
^5PunkBuster Client: PunkBuster Client (v1.013 | A0) Enabled
^5PunkBuster Client: Game Version [ET 2.55 linux-i386 May 27 2003]
^5PunkBuster Client: Not Connected to a Server
couldn't exec profiles/KaspersKamera/etconfig.cfg
execing default.cfg
RE_Shutdown( 1 )
Hunk_Clear: reset the hunk ok
----- Initializing Renderer ----
-------------------------------
----- R_Init -----
...loading libGL.so.1: QGL_Init: dlopen libGL.so.1 failed: /usr/lib/tls/libGL.so.1: shared object cannot be dlopen()ed: static TLS memory too small
failed
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
----- CL_Shutdown -----
-----------------------
Sys_Error: GLimp_Init() - could not load OpenGL subsystem

Shutdown tty console

My system is a stable:
P4 2.4
GF 4 TI4600
512 MB DDR

in windows XP it works great. I think maybe the video driver isn't properly installed. although Tux racer works fine.
 
Old 07-31-2003, 01:15 PM   #2
yowwww
Member
 
Registered: Apr 2003
Location: Ontario, Canada
Distribution: Arch Linux
Posts: 533

Rep: Reputation: 30
try clicking on the K menu icon instead.
 
Old 07-31-2003, 03:56 PM   #3
Kasperisa
LQ Newbie
 
Registered: Jul 2003
Posts: 26

Original Poster
Rep: Reputation: 15
Quote:
Originally posted by yowwww
try clicking on the K menu icon instead.
Didn't fix it. It loads up fine. it just now i got it to get into the actual game. but gets really chunky.. does this have something to do with punkbuster? i would assume its compatible considering its a linux install.
just locks up after a few seconds of play. very discouraging
 
Old 08-01-2003, 12:19 AM   #4
Shade
Senior Member
 
Registered: Mar 2003
Location: Burke, VA
Distribution: RHEL, Slackware, Ubuntu, Fedora
Posts: 1,418
Blog Entries: 1

Rep: Reputation: 46
Are you sure your OpenGL is working right for hardware acceleration?

The error
Code:
----- Initializing Renderer ----
-------------------------------
----- R_Init -----
...loading libGL.so.1: QGL_Init: dlopen libGL.so.1 failed: /usr/lib/tls/libGL.so.1: shared object cannot be dlopen()ed: static TLS memory too small
failed
Looks like you have a missing library...

run glxinfo and see if you see a line
Code:
Direct Rendering: Yes!
If it says no, then something's not set up right with your video drivers.

Good luck.
 
Old 09-06-2003, 03:38 AM   #5
lwcyphr
LQ Newbie
 
Registered: Sep 2003
Posts: 1

Rep: Reputation: 0
You need to upgrade your kernel to the last version.
kernel-2.4.20-20.9 At the moment.

Then you will need to reinstall the Nvidia drivers. The drivers need to be compiled for the kernel you are using, so you will also need to install the kernel-source rpm for the drivers to be compiled.

That should solve it. I had the same problem and it is working now.
 
Old 09-20-2003, 01:04 PM   #6
x-nicolovici
LQ Newbie
 
Registered: Sep 2003
Posts: 1

Rep: Reputation: 0
Thumbs up !! SOLUTION !!

Here is the solution, quoted from bugzilla.redhat.com (solution provided by martin@martindengler.com)

Simply export the following environement variable and set it to:

export LD_ASSUME_KERNEL=2.4.21

This solve the problem form me.

More details on http://bugzilla.redhat.com/bugzilla/...g.cgi?id=89692

Regards,

X.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Enemy Territory Leviathan Linux - Newbie 8 02-02-2005 09:03 PM
Enemy Territory help the_sLiDe Linux - Games 9 10-27-2004 10:23 AM
Enemy Territory the_sLiDe Linux - Games 3 10-02-2004 07:50 PM
Enemy Territory CommieWithAPie Linux - Newbie 6 07-30-2003 03:37 PM
enemy territory? oubipaws Linux - Software 1 07-16-2003 03:22 PM


All times are GMT -5. The time now is 05:07 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration